Aprovar refund
curl --request POST \
--url https://api.korbit.com.br/v1/refund-cases/{caseId}/merchant-approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.korbit.com.br/v1/refund-cases/{caseId}/merchant-approve"
payload = { "reason": "<string>" }
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.korbit.com.br/v1/refund-cases/{caseId}/merchant-approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 4503599627370496,
"approvalMode": "INSTANT",
"blockedBy": [
"INSUFFICIENT_AVAILABLE_BALANCE"
],
"currency": "BRL",
"evidenceCount": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initiator": "CUSTOMER",
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantDecision": {
"decidedAt": "2023-11-07T05:31:56Z",
"decision": "APPROVED",
"reason": "<string>"
},
"merchantReviewDeadlineAt": "2023-11-07T05:31:56Z",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentIntentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentPaidAt": "2023-11-07T05:31:56Z",
"provider": {
"refundId": "<string>",
"submissionStatus": "<string>",
"submittedAt": "2023-11-07T05:31:56Z"
},
"reason": "<string>",
"refundWindow": {
"days": 48,
"expiresAt": "2023-11-07T05:31:56Z"
},
"requestedAt": "2023-11-07T05:31:56Z",
"status": "MERCHANT_REVIEW",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"amount": 4503599627370496,
"approvalMode": "INSTANT",
"blockedBy": [
"INSUFFICIENT_AVAILABLE_BALANCE"
],
"currency": "BRL",
"evidenceCount": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initiator": "CUSTOMER",
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantDecision": {
"decidedAt": "2023-11-07T05:31:56Z",
"decision": "APPROVED",
"reason": "<string>"
},
"merchantReviewDeadlineAt": "2023-11-07T05:31:56Z",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentIntentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentPaidAt": "2023-11-07T05:31:56Z",
"provider": {
"refundId": "<string>",
"submissionStatus": "<string>",
"submittedAt": "2023-11-07T05:31:56Z"
},
"reason": "<string>",
"refundWindow": {
"days": 48,
"expiresAt": "2023-11-07T05:31:56Z"
},
"requestedAt": "2023-11-07T05:31:56Z",
"status": "MERCHANT_REVIEW",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}Refunds e Disputas
Aprovar refund
Concorda com o devolução solicitada pelo comprador. Respeite o prazo (review_deadline_at) — sem resposta, aplica-se a política padrão da Korbit.
POST
/
v1
/
refund-cases
/
{caseId}
/
merchant-approve
Aprovar refund
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
1 - 255Path Parameters
Body
application/json
Required string length:
1 - 1000Response
Default Response
Required range:
1 <= x <= 9007199254740991Available options:
INSTANT, OPERATIONS, RISK_POLICY Available options:
INSUFFICIENT_AVAILABLE_BALANCE, KYC_NOT_APPROVED, MERCHANT_NOT_ACTIVE, PAYMENT_DISPUTED, PAYMENT_NOT_LIVE, REFUND_FREQUENCY_24H, REFUND_VOLUME_24H Available options:
BRL Required range:
x >= 0Available options:
CUSTOMER, MERCHANT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
MERCHANT_REVIEW, KORBIT_REVIEW, APPROVED_FOR_EXECUTION, FUNDING_REQUIRED, PROCESSING, SUCCEEDED, FAILED, CANCELED, REJECTED Was this page helpful?